<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Configuration extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
		'line_id',
        'c_type',
		'c_group',
		'c_name',
        'c_value',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

	public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }
}
